surefire-junit47 depends on dummy:dummy:jar:1.0?

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

surefire-junit47 depends on dummy:dummy:jar:1.0?

Alex O'Ree
Can anyone shed light on the dummy:dummy jar file that surefire seems to
need? I don't see it in mvnrepository nor in repo.maven.apache.org.

I'm using 2.19.1 of the surefire plugin. I added the following changes to
the plugin config and now it's complaining about artifact resolution
<configuration><parallel>classesAndMethods</parallel><threadCount>4</threadCount>
</configuration>

Where can i find this jar?
Reply | Threaded
Open this post in threaded view
|

Re: surefire-junit47 depends on dummy:dummy:jar:1.0?

Tibor Digana
Regarding the "dummy" artifact, we do not have to do anything in here and
not to report a bug because the next release together with new API 3.0
naturally removes this hack.
Thx

On Fri, Mar 2, 2018 at 3:09 PM, Alex O'Ree <[hidden email]> wrote:

> I was about to post the stack trace when i more carefully read the output.
> This dev box is not internet connected by the way.
> It was missing the following
> - dummy:dummy:jar:1.0
> - org.apache.maven.surefire:surefire47:jar:2.19.1
>
> The 'dummy' part threw me off, but after syncing surefire47 and it's
> transitives, i'm up and running.
>
> But where does dummy come in? I don't see it declared as a dependency and
> there's no jar anywhere
>
>
> On Thu, Mar 1, 2018 at 4:33 PM, Enrico Olivelli <[hidden email]>
> wrote:
>
> > Alex,
> > Can you share the stack trace of the error?
> > If the message is not enough clear you can -X to the conmand line, like
> >
> > mvn test -X
> >
> > Cheers
> > Enrico
> >
> > Il gio 1 mar 2018, 18:35 Alex O'Ree <[hidden email]> ha scritto:
> >
> > > Can anyone shed light on the dummy:dummy jar file that surefire seems
> to
> > > need? I don't see it in mvnrepository nor in repo.maven.apache.org.
> > >
> > > I'm using 2.19.1 of the surefire plugin. I added the following changes
> to
> > > the plugin config and now it's complaining about artifact resolution
> > >
> > > <configuration><parallel>classesAndMethods</parallel><
> > threadCount>4</threadCount>
> > > </configuration>
> > >
> > > Where can i find this jar?
> > >
> > --
> >
> >
> > -- Enrico Olivelli
> >
>